clear 
set more off

global ilo_data "$data/other/ilo"

** data
import delimited "$ilo_data/EMP_NORM_SEX_STE_EDU_NB_A", clear
rename ref_area iso_code 
rename time year

sort iso_code year classif1 classif2

gen _employed = obs_value if classif1 == "STE_AGGREGATE_TOTAL" & classif2 == "EDU_SKILL_TOTAL"
egen employed = mean(_employed), by(iso_code year)

gen match_total = obs_value / (employed) if classif1 == "STE_AGGREGATE_TOTAL" & classif2 == "EDU_SKILL_MATCH"
gen over_total = obs_value / (employed) if classif1 == "STE_AGGREGATE_TOTAL" & classif2 == "EDU_SKILL_OVER"

gen match_employees = obs_value / (employed) if classif1 == "STE_AGGREGATE_EES" & classif2 == "EDU_SKILL_MATCH"
gen over_employees = obs_value / (employed) if classif1 == "STE_AGGREGATE_EES" & classif2 == "EDU_SKILL_OVER"

gen match_selfemployed = obs_value / (employed) if classif1 == "STE_AGGREGATE_SLF" & classif2 == "EDU_SKILL_MATCH"
gen over_selfemployed = obs_value / (employed) if classif1 == "STE_AGGREGATE_SLF" & classif2 == "EDU_SKILL_OVER"

*recode match_* over_* (1/9999 = 1)
keep if  year < 2010
collapse (mean) match_* over_*, by(iso_code)

save "$working/mismatch_normative", replace