clear 
set more off

/*
This dofile identifies within the crunchbase roster the firms financed by multilaterals like IFC, IDB, and AfDB.
Data is confidential, and thus is is only reported the outcome of this script.
*/




** DATA
local vars headquarterslocation organizationname industries description fulldescription foundeddate numberoffundingrounds v58 cbrankcompany lastfundingamount numberofemployees similarcompanies organizationnameurl builtwithactivetechcount
local lista ifc ifc2 wb IDB IDBLab IDBInvest afdb

cap erase "$working/multilaterals.dta"
foreach file of local lista {
	qui import delimited "$data/other/`file'", clear
	keep `vars' founders
	gen file = "`file'"
	destring similarcompanies, ignore(",") force replace
	di "`file'"
	cap append using "$working/multilaterals"
	cou
	save "$working/multilaterals", replace
}

rename organizationnameurl orgname
replace orgname = subinstr(orgname,"https://www.crunchbase.com/organization/","",.)

duplicates drop orgname file, force

rename headquarterslocation geo
split geo, parse(,)
rename geo3 country
replace country = trim(country)

gen mdb = .
replace mdb = 1 if regexm(file, "afdb")
replace mdb = 2 if regexm(file, "ifc")
replace mdb = 3 if regexm(file, "IDB")
replace mdb = 4 if regexm(file, "wb")

keep orgname mdb
rename mdb m
duplicates drop
gen mdb = 1
reshape wide mdb, i(orgname) j(m) 
recode mdb* (. = 0)

compress
rename mdb1 mdb_afdb
rename mdb2 mdb_ifc
rename mdb3 mdb_idb
rename mdb4 mdb_wb
save "$working/multilaterals", replace