clear 
set more off

/*
This dofile search the bigrams within description of firms as roster_technology.do, and keeps the technology name.
Data used: crunchbase roster.
*/

** PATHS
/*
local data ../crunchbase
local working ../working
*/
** DATA
use "$working/roster", clear
sum country_id
local cmax = r(max)

forvalues c = 1/`cmax' {
	use "$working/roster", clear
	qui keep if country_id == `c'
	gen U = _n
	save "$working/roster`c'", replace
	
	sum U
	local max = r(max)

	tab country
	
	forvalues x = 1/`max' {
		use "$working/the29", clear
		gen U = `x'
		
		qui merge m:1 U using "$working/roster`c'", keepusing(firm* industries *description*)
		qui keep if _merge == 3
		qui drop _merge

		gen match_technology_industries = regexm( industries, technology)
		gen match_technology_description = regexm( description, technology)
		gen match_technology_fulldescription = regexm( fulldescription, technology)

		gen match_keywords_industries = regexm( industries, keywords)
		gen match_keywords_description = regexm( description, keywords)
		gen match_keywords_fulldescription = regexm( fulldescription, keywords)
		
		local r = `x' / `max'
		di `r' " of " as error `max' 
				
		egen match = rowmax(match_*)
		collapse (max) match, by(firm* technology)
		cap append using z
		qui save z, replace
	}

	erase z.dta

	collapse (sum) match, by(firm_id technology)

	save "$working/c`c'", replace	
	
	erase "$working/roster`c'.dta"
}

use "$working/c1", clear
forvalues t = 2/`cmax' {
	append using "$working/c`t'"
}

forvalues t = 1/`cmax' {
	erase "$working/c`t'.dta"
}

save "$working/roster_technology_list", replace
