clear
set more off

/*
Same as roster_technology_wide.do but keeping only technologies launched 2005 or later
*/

** PATHS
local data ../crunchbase
local working ../working

** DATA
use "$working/roster_technology_list", clear
merge m:1 technology using "$working/technology_year"
drop _merge

drop if match == 0
encode technology, gen(tech_code)
drop technology
rename match tech_

keep if technology_year >= 2005

label list tech_code
label define tech_code 24 "zest", modify

collapse (sum) tech_ (min) technology_year, by(firm_id tech_code)

decode tech_code, gen(_technology)

keep firm_id _technology tech_ technology_year

egen technology = group(_technology)

tab _technology technology
drop _technology

rename technology_year techy_ 
reshape wide tech_ techy_, i(firm_id) j(technology)

save "$working/roster_technology_list_wide2005", replace
