clear 
set more off

/*
This dofiles pulls raw dta from pitchbook to produce a roster of firms 
Original data is not included due to confidentiality restrictions, but this script 
describes the actions taken to prepare the roster.dta
*/

** DATA
local lista : dir "$data/pitchbook" files "*.csv"
di `"`lista'"'

*local vars companyid companies companyformername companyalsoknownas companylegalname competitors pbid description primaryindustrysector primaryindustrygroup primaryindustrycode allindustries verticals keywords companyfinancingstatus totalraised businessstatus ownershipstatus website employees employeehistory yearfounded parentcompany revenue grossprofit netincome enterprisevalue ebitda ebit marketcap netdebt hqlocation hqcity hqstateprovince hqcountryterritory hqglobalregion hqglobalsubregion financingstatusnote activeinvestors formerinvestors otherinvestors activeinvestorswebsites firstfinancingdate firstfinancingsize firstfinancingsizestatus firstfinancingvaluation firstfinancingvaluationstatus firstfinancingdealtype firstfinancingdealtype2 firstfinancingdealtype3 firstfinancingdealclass firstfinancingdebt firstfinancingstatus lastfinancingdate lastfinancingsize lastfinancingsizestatus lastfinancingvaluation lastfinancingvaluationstatus lastfinancingdealtype lastfinancingdealtype2 lastfinancingdealtype3 lastfinancingdealclass lastfinancingdebtdate lastfinancingdebtsize lastfinancingdebt lastfinancingstatus totalpatentdocuments totalpatentfamilies activepatents pendingpatents patentsexpiringinnext12months inactivepatents lastknownvaluation lastknownvaluationdate lastknownvaluationdealtype

foreach file of local lista {
	import delimited "$data/pitchbook/`file'", clear
	*keep `vars'
	qui tostring *, replace force
	cap append using "$working/x"
	save "$working/x", replace
	cou
	qui compress
}

rename keywords pb_keywords
rename hqcountryterritory country

foreach v in allindustries verticals pb_keywords description {
	replace `v' = trim(lower(`v'))
}

qui include iso_code.do
qui include iso_region.do

drop if yearfounded == "."
duplicates drop companyid, force
egen country_id = group(iso_code)

save "$working/rosterp", replace

erase "$working/x.dta"
