clear 
set more off

/*
This dofile search the bigrams within description of firms as roster_technology.do, and keeps the technology name.
Data used: pitchbook roster.
*/

** DATA
use "$working/rosterp", clear
sum country_id
local cmax = r(max)

forvalues c = 1/`cmax' {
	use "$working/rosterp", clear
	qui keep if country_id == `c'
	gen U = _n
	save "$working/roster`c'", replace
	
	sum U
	local max = r(max)

	tab country
	
	forvalues x = 1/`max' {
		use "$working/the29", clear
		gen U = `x'
		
		qui merge m:1 U using "$working/roster`c'", keepusing(companyid pbid verticals pb_keywords description)
		qui keep if _merge == 3
		qui drop _merge

		gen match_technology_verticals = regexm(verticals, technology)
		gen match_technology_description = regexm(description, technology)
		gen match_technology_pb_keywords = regexm(pb_keywords, technology)

		gen match_keywords_industries = regexm(verticals, keywords)
		gen match_keywords_description = regexm(description, keywords)
		gen match_keywords_fulldescription = regexm(pb_keywords, keywords)
		
		local r = `x' / `max'
		di `r' " of " as error `max' 
				
		egen match = rowmax(match_*)
		collapse (max) match, by(companyid pbid technology)
		cap append using z
		qui save z, replace
	}

	erase z.dta
	
	collapse (sum) match, by(companyid pbid technology)

	save "$working/c`c'", replace	
	
	erase "$working/roster`c'.dta"
}

use "$working/c1", clear
forvalues t = 2/`cmax' {
	append using "$working/c`t'"
}

forvalues t = 1/`cmax' {
	erase "$working/c`t'.dta"
}

duplicates drop

save "$working/rosterp_technology_list", replace
