clear 
set more off

/*
This dofile reduces the technology list from 29 to 15. This is done to keep only technologies that appear in the sample. These 15 technolgies have been identified manually.
Next the list is made wide.
*/

** PATHS
local data ../crunchbase
local working ../working

** DATA
use "$working/rosterp_technology_list", clear
merge m:1 technology using "$working/technology_year"
drop _merge

drop if match == 0
encode technology, gen(tech_code)
drop technology
rename match tech_

label list tech_code
label define tech_code 24 "zest", modify
recode tech_code (2 5 8 9 12 14 18 20 20 23 = 24)

collapse (sum) tech_ (min) technology_year, by(companyid tech_code)
decode tech_code, gen(_technology)

drop tech_code
encode _technology, gen(_tech_code)

label define _tech_code 15 "Rest", modify
drop _technology

rename technology_year techy_
label list _tech_code
reshape wide tech_ techy_, i(companyid) j(_tech_code)

save "$working/rosterp_technology_list_wide", replace
