clear 
set more off

/*
Same as rosterp_technology_wide.do but keeping only technologies launched 2005 or later
*/

** PATHS
local data ../crunchbase
local working ../working

** DATA
use "$working/rosterp_technology_list", clear
merge m:1 technology using "$working/technology_year"
drop _merge

drop if match == 0
encode technology, gen(tech_code)
drop technology
rename match tech_

keep if technology_year >= 2005

label list tech_code

collapse (sum) tech_ (min) technology_year, by(companyid tech_code)

decode tech_code, gen(_technology)

keep companyid _technology tech_ technology_year

egen technology = group(_technology)

tab _technology technology
drop _technology

rename technology_year techy_ 
reshape wide tech_ techy_, i(companyid) j(technology)

save "$working/rosterp_technology_list_wide2005", replace
