clear
set more off

/* 
This dofile organizes the bigrams associated to the 29 technologies described in Bloom et. al. paper.
It also inputes the year associated to the launching of the technology
*/



** DATA
import delimited "$data/bloom_etal/DisruptiveTechnologies2.csv", clear delimiter("|") varnames(1)

replace technology = lower(technology)
replace keywords = lower(keywords)

split keywords, parse(;)
drop keywords

gen tech = _n
reshape long keywords, i(technology tech) j(kw) string
destring kw, replace
drop if keywords == ""

order tech technology kw
sort tech kw

replace technology = subinstr(technology,"-"," ",.)
replace keywords = subinstr(keywords,"-"," ",.)

replace technology = subinstr(technology,"wi fi","wifi",.)
replace keywords = subinstr(keywords,"wi fi","wifi",.)

replace keywords = trim(keywords)

gen technology_year = .
replace technology_year = 2005 if technology == "smart devices"
replace technology_year = 2008 if technology == "cloud computing"
replace technology_year = 2006 if technology == "social networking"
replace technology_year = 2015 if technology == "machine learning/ai"
replace technology_year = 2002 if technology == "solar power"
replace technology_year = 2014 if technology == "autonomous cars"
replace technology_year = 2013 if technology == "virtual reality"
replace technology_year = 2002 if technology == "search engine"
replace technology_year = 2007 if technology == "hybrid vehicle/electric car"
replace technology_year = 2012 if technology == "wireless charging"
replace technology_year = 2003 if technology == "touch screen"
replace technology_year = 2002 if technology == "drug conjugates"
replace technology_year = 2007 if technology == "fracking"
replace technology_year = 2002 if technology == "software defined radio"
replace technology_year = 2002 if technology == "wifi"
replace technology_year = 2011 if technology == "3d printing"
replace technology_year = 2014 if technology == "millimeter wave"
replace technology_year = 2002 if technology == "gps"
replace technology_year = 2002 if technology == "lithium battery"
replace technology_year = 2002 if technology == "oled display"
replace technology_year = 2003 if technology == "stent graft"
replace technology_year = 2002 if technology == "rfid"
replace technology_year = 2002 if technology == "electronic gaming"
replace technology_year = 2003 if technology == "computer vision"
replace technology_year = 2002 if technology == "lane departure warning"
replace technology_year = 2012 if technology == "bispecific monoclonal antibody"
replace technology_year = 2011 if technology == "fingerprint sensor"
replace technology_year = 2007 if technology == "mobile payment"
replace technology_year = 2002 if technology == "online streaming"


save "$working/the29", replace

keep technology technology_year
duplicates drop 
save "$working/technology_year", replace
