clear
set more off
set scheme s1color

use "$working/roster", clear


***********************************************************
keep if region == 4

split headquarterslocation, gen(geo)
gen city = trim(geo1)
replace city = subinstr(city,",","",.)

gen firms = 1

collapse (sum) firms, by(country city)
egen T = sum(firms), by(country)
gen share = firms / T
gsort country -share
by country: replace city = "Rest" if _n > 1
by country: gen c = _n
replace c = 2 if c > 1

collapse (sum) share, by(country city c)

reshape wide share city, i(country) j(c)

gsort -share1
gen rank = _n

labmask rank, values(country)
gen share1_100=share1*100
twoway (bar share1_100 rank, vertical barw(0.8) xla(1/20, valuelabel ang(v) noticks) bfcolor(eltblue) blcolor(none)) (scatter share1_100 rank, mc(none) mlab(city1) mlabcolor(black) mlabangle(vertical)), legend(off) yscale(range(0 110)) xtitle("Country") ytitle("Percentage of firms in main city")

graph export "$figures/FigureB1_Concentration_cities.png", replace

