clear 
set more off
set scheme s1color

/** PATHS
local data ../crunchbase
local working ../working
local figures ../figures
local tables ../tables
*/
** DATA
use "$working/roster_technology_list", clear
merge m:1 firm_id using "$working/roster"
keep if match == 1

gen n = 1
collapse (sum) n, by(region technology)
egen T = sum(n), by(region)
gen share =  n / T

drop T n
reshape wide share, i(technology) j(region)
gsort -share1
gen rank = _n

replace technology = proper(technology)

recode share1 share4 share5 (. = 0)

replace technology = "GPS" if technology == "Gps"
replace technology = "Machine Learning/AI" if technology == "Machine Learning/Ai"

graph hbar (mean) share1 share4 share5, over(technology, sort(share1) descending label(labsize(small))) legend(order(1 "Frontier" 2 "Africa" 3 "LAC") cols(3)) 
graph export "$figures/Figure2_histogram.png", replace

collapse (mean) share1 share4 share5, by(technology)
gsort -share1

rename share1 frontier
rename share4 africa
rename share5 lac
export delimited histogram.csv, replace