***********************************************************************************************************************************************************************************************************************************************
*Paper: Disruptive Technologies and Finance: An Analysis of Digital Startups in Africa
*Date: February, 2024
*This program prepares the dataset based on Crunchbase, Pitchbook, and Bloom et al. (2021) and generates all the tables and figures presented in the paper.

***********************************************************************************************************************************************************************************************************************************************
*Settings
clear all
set more off
set varabbrev on
*Set this folder to the path of the replication package
global replication  "C:\Users\wb558768\Documents\GitHub\disruptive\Replication package-Disruptive"   /*change this path to directory where you saved the replication package folder on your computer*/
*Set this folder to the path of your Rscript.exe (only relevant for Figure 1 that runs in R)
*global rpath "C:/Program Files/R/R-4.2.1/bin/Rscript.exe" 

* Start recording time
timer on 1
*Do not modify from this point on*
cap mkdir "$replication/working"
cap mkdir "$replication/figures"
cap mkdir "$replication/tables"
global data "$replication/data"
global working "$replication/working"
global figures "$replication/figures"
global tables "$replication/tables"
global dofiles  "$replication/dofiles"

sysdir set PLUS "$dofiles/ado"

*Data Prep*
cd "$dofiles/01_dataprep"
do the29.do

/*------------ preparing confidential data-----------
do roster.do
do rosterp.do

*--> HEAVY LIFTING: The following takes 120~ minutes <--
do roster_technology.do
do roster_technology_list.do
do roster_technology_list_wide.do
do roster_technology_list_wide2005.do
do rosterp_technology.do
do rosterp_technology_list.do
do rosterp_technology_list_wide.do 
do rosterp_technology_list_wide2005.do
*--> end of HEAVY LIFTING <--

* now we prepare roster files that drop confidential information
do sharing.do 
*------------ end confidential data-----------
*/

do shareF.do
do mismatch_normative.do 
tab iso_code

*Analysis*

cd "$dofiles/02_analysis"
do results.do
do results_iv.do
do resultsp.do
do results_iv_lac.do
do figure2.do
do cities.do
do results_hetero.do
do it_detail.do
*do Rmap.do

* End recording time
timer off 1

* Display elapsed time
timer list 1

***********************************************************************************************************************************************************************************************************************************************
*End
************************************************************************************************************************************************************************************************************************************************
